Index: rtemsbsd/rtems/rtems-bsd-rc-conf-net.c
===================================================================
--- rtemsbsd/rtems/rtems-bsd-rc-conf-net.c	(revision 43c65f52eedfab79a8cd1f5538442a9156be1432)
+++ rtemsbsd/rtems/rtems-bsd-rc-conf-net.c	(revision 443757313e0f2c4da58cf25009e2964026043957)
@@ -222,7 +222,20 @@
 
 /*
+ * ifconfig_show
+
+ */
+static int
+ifconfig_show(const char* ifname)
+{
+  const char const* ifconfig_show[] = { "ifconfig", ifname, NULL };
+  return rtems_bsd_command_ifconfig(2, (char**) ifconfig_show);
+}
+
+/*
  * ifconfig_'interface'
  *
  * eg ifconfig_em0="inet 10.10.5.33 netmask 255.255.255.0"
+ *    ifconfig_em0_alias0="ether 10:22:33:44:55:66"
+ *    ifconfig_em0_alias1="inet 10.1.1.111 netmask 0xffffffff"
  *
  * See 'man rc.conf(5)' on FreeBSD.
@@ -232,12 +245,13 @@
           const char*        ifname,
           int                argc,
-          const char**       argv)
+          const char**       argv,
+          int                opt_argc,
+          const char**       opt_argv,
+          bool               add_up)
 {
   const char**      args;
   int               arg;
   int               ifconfig_argc = 0;
-  bool              add_up = true;
   int               r;
-  const char const* ifconfig_show[] = { "ifconfig", ifname, NULL };
 
   for (arg = 1; arg < argc; ++arg) {
@@ -246,5 +260,5 @@
   }
 
-  args = calloc(argc + 3, sizeof(char*));
+  args = calloc(argc + opt_argc + 3, sizeof(char*));
   if (args == NULL) {
     errno = ENOMEM;
@@ -257,5 +271,6 @@
   for (arg = 1; arg < argc; ++arg) {
     if (strcasecmp("DHCP",     argv[arg]) == 0 ||
-        strcasecmp("SYNCDHCP", argv[arg]) == 0) {
+        strcasecmp("SYNCDHCP", argv[arg]) == 0 ||
+        strcasecmp("UP",       argv[arg]) == 0) {
       add_up = false;
     }
@@ -265,4 +280,10 @@
   }
 
+  if (opt_argv != NULL) {
+    for (arg = 0; arg < opt_argc; ++arg) {
+      args[ifconfig_argc++] = opt_argv[arg];
+    }
+  }
+
   if (add_up)
     args[ifconfig_argc++] = "up";
@@ -278,6 +299,4 @@
     return -1;
   }
-
-  r = rtems_bsd_command_ifconfig(2, (char**) ifconfig_show);
 
   return r;
@@ -354,5 +373,5 @@
 
 static int
-show_interfaces(const char* msg, struct ifaddrs* ifap)
+list_interfaces(const char* msg, struct ifaddrs* ifap)
 {
   struct ifaddrs* ifa;
@@ -378,4 +397,16 @@
 
   fprintf(stdout, "\b.\n");
+
+  return 0;
+}
+
+static int
+show_interfaces(struct ifaddrs* ifap)
+{
+  struct ifaddrs* ifa;
+
+  for (ifa = ifap; ifa; ifa = ifa->ifa_next) {
+    ifconfig_show(ifa->ifa_name);
+  }
 
   return 0;
@@ -404,5 +435,9 @@
         "ifconfig_lo0", "inet", "127.0.0.1", "netmask", "255.0.0.0", NULL
       };
-      show_result("lo0", ifconfig_(rc_conf, "lo0", 5, lo0_argv));
+      show_result("lo0",
+                  ifconfig_(rc_conf, "lo0",
+                            5, lo0_argv,
+                            0, NULL,
+                            true));
       return 0;
     }
@@ -436,5 +471,21 @@
          * interface.
          */
-        show_result(iface, ifconfig_(rc_conf, ifa->ifa_name, aa->argc, aa->argv));
+        show_result(iface, ifconfig_(rc_conf, ifa->ifa_name,
+                                     aa->argc, aa->argv,
+                                     0, NULL,
+                                     true));
+      }
+      snprintf(iface, sizeof(iface), "ifconfig_%s_alias[0-9]+", ifa->ifa_name);
+      if (r == 0) {
+        r = rtems_bsd_rc_conf_find(rc_conf, iface, aa);
+        while (r == 0) {
+          const char* alias_argv[] = { "alias", NULL };
+          show_result(iface,
+                      ifconfig_(rc_conf, ifa->ifa_name,
+                                aa->argc, aa->argv,
+                                1, alias_argv,
+                                false));
+          r = rtems_bsd_rc_conf_find_next(rc_conf, aa);
+        }
       }
     }
@@ -494,6 +545,9 @@
               }
               else {
-                show_result(vlan_name, ifconfig_(rc_conf, vlan_name,
-                                                 vaa->argc, vaa->argv));
+                show_result(vlan_name,
+                            ifconfig_(rc_conf, vlan_name,
+                                      vaa->argc, vaa->argv,
+                                      0, NULL,
+                                      true));
               }
             }
@@ -700,5 +754,5 @@
   }
 
-  show_interfaces("Starting network: ", ifap);
+  list_interfaces("Starting network: ", ifap);
   show_result("cloned_interfaces", cloned_interfaces(rc_conf, aa));
   show_result("lo0", setup_lo0(rc_conf, ifap));
@@ -706,4 +760,5 @@
   show_result("vlans", setup_vlans(rc_conf, aa, ifap, &dhcp));
   show_result("defaultrouter", defaultrouter(rc_conf, aa));
+  show_interfaces(ifap);
   if (dhcp)
     show_result("dhcp", run_dhcp(rc_conf, aa));
Index: testsuite/rcconf01/test_main.c
===================================================================
--- testsuite/rcconf01/test_main.c	(revision 43c65f52eedfab79a8cd1f5538442a9156be1432)
+++ testsuite/rcconf01/test_main.c	(revision 443757313e0f2c4da58cf25009e2964026043957)
@@ -70,4 +70,10 @@
   test_service_last_num = 1;
 
+  /*
+   * Fill match of anything.
+   */
+  puts("test_service regex: 'test_regex_.*'");
+  test_regex_last_num = 0;
+
   assert((aa = rtems_bsd_rc_conf_argc_argv_create()) != NULL);
   r = rtems_bsd_rc_conf_find(rc_conf, "test_regex_.*", aa);
@@ -79,5 +85,5 @@
     int num;
     int arg;
-    rtems_bsd_rc_conf_print_cmd(rc_conf, "test_service", aa->argc, aa->argv);
+    rtems_bsd_rc_conf_print_cmd(rc_conf, "test_service[1]", aa->argc, aa->argv);
     assert(strncasecmp(aa->argv[0], "test_regex_", strlen("test_regex_")) == 0);
     num = atoi(aa->argv[0] + strlen("test_regex_"));
@@ -99,4 +105,41 @@
     assert(r == 0 || (r < 0 && errno == ENOENT));
   }
+
+  /*
+   * Specific match of only numbers.
+   */
+  puts("test_service regex: 'test_regex_[0-9]+'");
+  test_regex_last_num = 0;
+
+  assert((aa = rtems_bsd_rc_conf_argc_argv_create()) != NULL);
+  r = rtems_bsd_rc_conf_find(rc_conf, "test_regex_[0-9]+", aa);
+  assert(r == 0 || (r < 0 && errno == ENOENT));
+  if (r < 0 && errno == ENOENT)
+    return -1;
+
+  while (r == 0) {
+    int num;
+    int arg;
+    rtems_bsd_rc_conf_print_cmd(rc_conf, "test_service[2]", aa->argc, aa->argv);
+    assert(strncasecmp(aa->argv[0], "test_regex_", strlen("test_regex_")) == 0);
+    num = atoi(aa->argv[0] + strlen("test_regex_"));
+    assert(num == (test_regex_last_num + 1));
+    assert((num - 1) < NUM_OF_TEST_REGEX_);
+    for (arg = 0; arg < aa->argc; ++arg) {
+      const char* a = aa->argv[arg];
+      size_t      l = strlen(a);
+      if (l > 0) {
+        assert(!isspace(a[0]));
+        assert(!isspace(a[l - 1]));
+        assert(a[0] != '"');
+        assert(a[l - 1] != '"');
+      }
+    }
+    test_regex_results[num - 1] = true;
+    ++test_regex_last_num;
+    r = rtems_bsd_rc_conf_find_next(rc_conf, aa);
+    assert(r == 0 || (r < 0 && errno == ENOENT));
+  }
+
   rtems_bsd_rc_conf_argc_argv_destroy(aa);
   puts("test_service done");
Index: testsuite/rcconf02/test_main.c
===================================================================
--- testsuite/rcconf02/test_main.c	(revision 43c65f52eedfab79a8cd1f5538442a9156be1432)
+++ testsuite/rcconf02/test_main.c	(revision 443757313e0f2c4da58cf25009e2964026043957)
@@ -76,6 +76,9 @@
   "ifconfig_" # iface "=\"inet " NET_CFG_SELF_IP " netmask " NET_CFG_NETMASK "\"\n"
 
-
-#define RC_CONF_IFACES \
+#define IFACE_ALIAS(iface) \
+  "ifconfig_" # iface "_alias0=\"ether 10:22:33:44:55:66\"\n" \
+  "ifconfig_" # iface "_alias1=\"inet 10.1.1.111 netmask 0xffffffff\"\n"
+
+#define RC_CONF_IFACES_IPV4 \
   IFACE_IPV4(dmc0)  \
   IFACE_IPV4(sm0)   \
@@ -84,4 +87,16 @@
   IFACE_IPV4(em0)   \
   IFACE_IPV4(re0)
+
+#define RC_CONF_IFACES_ALIAS \
+  IFACE_ALIAS(dmc0)  \
+  IFACE_ALIAS(sm0)   \
+  IFACE_ALIAS(cgem0) \
+  IFACE_ALIAS(fec0)  \
+  IFACE_ALIAS(em0)   \
+  IFACE_ALIAS(re0)
+
+#define RC_CONF_IFACES \
+  RC_CONF_IFACES_IPV4 \
+  RC_CONF_IFACES_ALIAS
 
 #define IFACE_VLAN(iface) \