Index: c/src/librtems++/ChangeLog
===================================================================
--- c/src/librtems++/ChangeLog	(revision f3f3db7a5c06bd8a9f5896a9d44e21833c36fb3d)
+++ c/src/librtems++/ChangeLog	(revision 4735923113200518cce718609f49ebe5181b6d15)
@@ -1,2 +1,10 @@
+2002-12-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* src/Makefile.am: Remove.
+	* include/Makefile.am: Remove.
+	* Makefile.am: Merge-in src/Makefile.am, include/Makefile.am.
+	* configure.ac: Reflect changes above. 
+	Unconditionally check for CXX.
+
 2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/librtems++/Makefile.am
===================================================================
--- c/src/librtems++/Makefile.am	(revision f3f3db7a5c06bd8a9f5896a9d44e21833c36fb3d)
+++ c/src/librtems++/Makefile.am	(revision 4735923113200518cce718609f49ebe5181b6d15)
@@ -5,6 +5,50 @@
 ACLOCAL_AMFLAGS = -I ../../../aclocal
 
-SUBDIRS = include src
+include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/lib.am
 
-include $(top_srcdir)/../../../automake/subdirs.am
+include_rtems__dir = $(includedir)/rtems++
+
+$(PROJECT_INCLUDE)/%.h: include/%.h
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_INCLUDE)/rtems++:
+	@$(mkinstalldirs) $@
+
+if HAS_CXX
+include_rtems___HEADERS = include/rtems++/rtemsEvent.h \
+    include/rtems++/rtemsInterrupt.h include/rtems++/rtemsMessageQueue.h include/rtems++/rtemsSemaphore.h \
+    include/rtems++/rtemsStatusCode.h include/rtems++/rtemsTask.h include/rtems++/rtemsTaskMode.h \
+    include/rtems++/rtemsTimer.h
+
+PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems++ \
+    $(include_rtems___HEADERS:include/%=$(PROJECT_INCLUDE)/%)
+
+endif
+
+LIB = ${ARCH}/librtems++.a
+
+CC_FILES = src/rtemsEvent.cc src/rtemsInterrupt.cc src/rtemsMessageQueue.cc \
+    src/rtemsSemaphore.cc src/rtemsStatusCode.cc src/rtemsTask.cc src/rtemsTimer.cc
+CC_O_FILES = $(CC_FILES:src/%.cc=${ARCH}/%.$(OBJEXT))
+
+SRCS = $(CC_FILES)
+OBJS = $(CC_O_FILES)
+
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/librtems++$(LIB_VARIANT).a
+
+bsplib_DATA = $(LIB)
+
+${ARCH}/%.o: src/%.cc
+	test -d $(ARCH) || mkdir $(ARCH)
+	${CXXCOMPILE} -o $@ -c $<
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+$(PROJECT_RELEASE)/lib/librtems++$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+all-local: ${ARCH} $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
+
 include $(top_srcdir)/../../../automake/local.am
Index: c/src/librtems++/configure.ac
===================================================================
--- c/src/librtems++/configure.ac	(revision f3f3db7a5c06bd8a9f5896a9d44e21833c36fb3d)
+++ c/src/librtems++/configure.ac	(revision 4735923113200518cce718609f49ebe5181b6d15)
@@ -23,7 +23,5 @@
 RTEMS_CHECK_CXX(RTEMS_BSP)
 ## check for g++
-if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
-  RTEMS_PROG_CXX_FOR_TARGET
-fi
+RTEMS_PROG_CXX_FOR_TARGET
 RTEMS_CANONICALIZE_TOOLS
 
@@ -33,7 +31,4 @@
 
 # Explicitly list all Makefiles here
-AC_CONFIG_FILES([Makefile
-include/Makefile
-src/Makefile
-])
+AC_CONFIG_FILES([Makefile])
 AC_OUTPUT
Index: src/librtems++/include/Makefile.am
===================================================================
--- c/src/librtems++/include/Makefile.am	(revision f3f3db7a5c06bd8a9f5896a9d44e21833c36fb3d)
+++ 	(revision )
@@ -1,27 +1,0 @@
-##
-## $Id$
-##
-
-
-include_rtems__dir = $(includedir)/rtems++
-
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/rtems++:
-	@$(mkinstalldirs) $@
-
-if HAS_CXX
-include_rtems___HEADERS = rtems++/rtemsEvent.h \
-    rtems++/rtemsInterrupt.h rtems++/rtemsMessageQueue.h rtems++/rtemsSemaphore.h \
-    rtems++/rtemsStatusCode.h rtems++/rtemsTask.h rtems++/rtemsTaskMode.h \
-    rtems++/rtemsTimer.h
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems++ \
-    $(include_rtems___HEADERS:%=$(PROJECT_INCLUDE)/%)
-
-endif
-
-all-local: $(PREINSTALL_FILES)
-
-include $(top_srcdir)/../../../automake/local.am
Index: src/librtems++/src/Makefile.am
===================================================================
--- c/src/librtems++/src/Makefile.am	(revision f3f3db7a5c06bd8a9f5896a9d44e21833c36fb3d)
+++ 	(revision )
@@ -1,32 +1,0 @@
-##
-##  $Id$
-##
-
-LIB = ${ARCH}/librtems++.a
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
-
-CC_FILES = rtemsEvent.cc rtemsInterrupt.cc rtemsMessageQueue.cc \
-    rtemsSemaphore.cc rtemsStatusCode.cc rtemsTask.cc rtemsTimer.cc
-CC_O_FILES = $(CC_FILES:%.cc=${ARCH}/%.$(OBJEXT))
-
-SRCS = $(CC_FILES)
-OBJS = $(CC_O_FILES)
-
-AM_CFLAGS += $(LIBC_DEFINES)
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/librtems++$(LIB_VARIANT).a
-
-bsplib_DATA = $(LIB)
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-$(PROJECT_RELEASE)/lib/librtems++$(LIB_VARIANT).a: $(LIB)
-	$(INSTALL_DATA) $< $@
-
-all-local: ${ARCH} $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
-
-include $(top_srcdir)/../../../automake/local.am