Index: c/src/lib/libcpu/m68k/ChangeLog
===================================================================
--- c/src/lib/libcpu/m68k/ChangeLog	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/ChangeLog	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -1,2 +1,11 @@
+2003-08-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	Makefile.am: Reflect having moved automake.
+	m68040/Makefile.am: Reflect having moved automake.
+	m68040/fpsp/Makefile.am: Reflect having moved automake.
+	shared/Makefile.am: Reflect having moved automake.
+	shared/cache/Makefile.am: Reflect having moved automake.
+	shared/misc/Makefile.am: Reflect having moved automake.
+
 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/m68k/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -19,4 +19,4 @@
 SUBDIRS = $(SHARED_LIB) $(CPU_SUBDIR)
 
-include $(top_srcdir)/../../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/lib/libcpu/m68k/m68040/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/m68040/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/m68040/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -6,4 +6,4 @@
 SUBDIRS = fpsp
 
-include $(top_srcdir)/../../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/lib/libcpu/m68k/m68040/fpsp/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/m68040/fpsp/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/m68040/fpsp/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -6,6 +6,6 @@
 PGM = $(ARCH)/fpsp.rel
 
-include $(top_srcdir)/../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../automake/lib.am
+include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/lib.am
 
 C_FILES = rtems_fpsp.c
@@ -42,3 +42,3 @@
     x_operr.S x_ovfl.S x_snan.S x_store.S x_unfl.S x_unimp.S x_unsupp.S
 
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/lib/libcpu/m68k/mcf5206/ChangeLog
===================================================================
--- c/src/lib/libcpu/m68k/mcf5206/ChangeLog	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/mcf5206/ChangeLog	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -1,2 +1,11 @@
+2003-08-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	Makefile.am: Reflect having moved automake.
+	clock/Makefile.am: Reflect having moved automake.
+	console/Makefile.am: Reflect having moved automake.
+	include/Makefile.am: Reflect having moved automake.
+	mbus/Makefile.am: Reflect having moved automake.
+	timer/Makefile.am: Reflect having moved automake.
+
 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/m68k/mcf5206/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/mcf5206/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/mcf5206/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -7,5 +7,5 @@
 SUBDIRS = include clock console mbus timer
 
-include $(top_srcdir)/../../../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/subdirs.am
+include $(top_srcdir)/../../../../automake/local.am
 
Index: c/src/lib/libcpu/m68k/mcf5206/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/mcf5206/clock/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/mcf5206/clock/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -9,6 +9,6 @@
 OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -27,3 +27,3 @@
 EXTRA_DIST = $(C_FILES)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libcpu/m68k/mcf5206/console/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/mcf5206/console/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/mcf5206/console/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -9,6 +9,6 @@
 OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -25,3 +25,3 @@
 EXTRA_DIST = $(C_FILES)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libcpu/m68k/mcf5206/include/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/mcf5206/include/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/mcf5206/include/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -21,3 +21,3 @@
 EXTRA_DIST = $(include_mcf5206_HEADERS)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libcpu/m68k/mcf5206/mbus/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/mcf5206/mbus/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/mcf5206/mbus/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -8,6 +8,6 @@
 OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -26,3 +26,3 @@
 EXTRA_DIST = $(C_FILES)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libcpu/m68k/mcf5206/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/mcf5206/timer/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/mcf5206/timer/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -11,6 +11,6 @@
 OBJS += $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -29,3 +29,3 @@
 EXTRA_DIST = $(C_FILES)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libcpu/m68k/shared/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/shared/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/shared/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -6,4 +6,4 @@
 SUBDIRS = cache misc
 
-include $(top_srcdir)/../../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/lib/libcpu/m68k/shared/cache/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/shared/cache/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/shared/cache/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -13,6 +13,6 @@
 include_libcpu_HEADERS = cache.h
 
-include $(top_srcdir)/../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../automake/lib.am
+include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/lib.am
 
 AM_CPPFLAGS += -I$(srcdir)
@@ -36,3 +36,3 @@
 EXTRA_DIST = cache.c cache_.h
 
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/lib/libcpu/m68k/shared/misc/Makefile.am
===================================================================
--- c/src/lib/libcpu/m68k/shared/misc/Makefile.am	(revision bd5efa920b77fd01376e507d35bb019adcc34ca0)
+++ c/src/lib/libcpu/m68k/shared/misc/Makefile.am	(revision 532125039d1b9bcdb9a5d495834028fd9146960d)
@@ -7,6 +7,6 @@
 OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
-include $(top_srcdir)/../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../automake/lib.am
+include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/lib.am
 
 # gcc doesn't recognize difference between the cpu32 and cpu32+ so we have to
@@ -25,3 +25,3 @@
 EXTRA_DIST = memcpy.c m68kidle.c
 
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../automake/local.am