Index: c/src/tests/samples/ChangeLog
===================================================================
--- c/src/tests/samples/ChangeLog	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/ChangeLog	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -1,2 +1,16 @@
+2003-09-04	Joel Sherrill <joel@OARcorp.com>
+
+	* README, base_mp/apptask.c, base_mp/init.c, base_mp/system.h,
+	base_mp/node1/base_mp.doc, base_mp/node2/base_mp.doc,
+	base_sp/apptask.c, base_sp/base_sp.doc, base_sp/init.c,
+	base_sp/system.h, cdtest/init.c, cdtest/main.cc, cdtest/system.h,
+	fileio/fileio.doc, fileio/init.c, fileio/system.h, hello/hello.doc,
+	hello/init.c, hello/system.h, minimum/init.c, minimum/minimum.doc,
+	paranoia/init.c, paranoia/paranoia.doc, paranoia/system.h,
+	ticker/init.c, ticker/system.h, ticker/tasks.c, ticker/ticker.doc,
+	unlimited/init.c, unlimited/system.h, unlimited/test1.c,
+	unlimited/test2.c, unlimited/test3.c, unlimited/unlimited.doc: URL
+	for license changed.
+
 2003-08-13	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/tests/samples/README
===================================================================
--- c/src/tests/samples/README	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/README	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -5,5 +5,5 @@
 #  The license and distribution terms for this file may be
 #  found in the file LICENSE in this distribution or at
-#  http://www.OARcorp.com/rtems/license.html.
+#  http://www.rtems.com/license/LICENSE.
 #
 #  $Id$
Index: c/src/tests/samples/base_mp/apptask.c
===================================================================
--- c/src/tests/samples/base_mp/apptask.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/base_mp/apptask.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -15,5 +15,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/base_mp/init.c
===================================================================
--- c/src/tests/samples/base_mp/init.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/base_mp/init.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/base_mp/system.h
===================================================================
--- c/src/tests/samples/base_mp/system.h	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/base_mp/system.h	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/base_sp/apptask.c
===================================================================
--- c/src/tests/samples/base_sp/apptask.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/base_sp/apptask.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -14,5 +14,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/base_sp/init.c
===================================================================
--- c/src/tests/samples/base_sp/init.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/base_sp/init.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/base_sp/system.h
===================================================================
--- c/src/tests/samples/base_sp/system.h	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/base_sp/system.h	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/cdtest/init.c
===================================================================
--- c/src/tests/samples/cdtest/init.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/cdtest/init.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/cdtest/main.cc
===================================================================
--- c/src/tests/samples/cdtest/main.cc	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/cdtest/main.cc	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -15,5 +15,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *
Index: c/src/tests/samples/cdtest/system.h
===================================================================
--- c/src/tests/samples/cdtest/system.h	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/cdtest/system.h	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/fileio/init.c
===================================================================
--- c/src/tests/samples/fileio/init.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/fileio/init.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  init.c,v 1.11 2000/06/12 15:00:12 joel Exp
Index: c/src/tests/samples/fileio/system.h
===================================================================
--- c/src/tests/samples/fileio/system.h	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/fileio/system.h	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  system.h,v 1.13 2000/06/12 15:00:12 joel Exp
Index: c/src/tests/samples/hello/init.c
===================================================================
--- c/src/tests/samples/hello/init.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/hello/init.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/hello/system.h
===================================================================
--- c/src/tests/samples/hello/system.h	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/hello/system.h	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/minimum/init.c
===================================================================
--- c/src/tests/samples/minimum/init.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/minimum/init.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/paranoia/init.c
===================================================================
--- c/src/tests/samples/paranoia/init.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/paranoia/init.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/paranoia/system.h
===================================================================
--- c/src/tests/samples/paranoia/system.h	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/paranoia/system.h	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/ticker/init.c
===================================================================
--- c/src/tests/samples/ticker/init.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/ticker/init.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/ticker/system.h
===================================================================
--- c/src/tests/samples/ticker/system.h	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/ticker/system.h	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/ticker/tasks.c
===================================================================
--- c/src/tests/samples/ticker/tasks.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/ticker/tasks.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -13,5 +13,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/unlimited/init.c
===================================================================
--- c/src/tests/samples/unlimited/init.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/unlimited/init.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/unlimited/system.h
===================================================================
--- c/src/tests/samples/unlimited/system.h	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/unlimited/system.h	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/unlimited/test1.c
===================================================================
--- c/src/tests/samples/unlimited/test1.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/unlimited/test1.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -13,5 +13,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/unlimited/test2.c
===================================================================
--- c/src/tests/samples/unlimited/test2.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/unlimited/test2.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/tests/samples/unlimited/test3.c
===================================================================
--- c/src/tests/samples/unlimited/test3.c	(revision 3c3d8515949a0967d26950adc91805c184d867ed)
+++ c/src/tests/samples/unlimited/test3.c	(revision 66708745628a04da1f087fffc005e9c8c1de4353)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$