Index: bare/config/devel/capstone-4.0.1-1.cfg
===================================================================
--- bare/config/devel/capstone-4.0.1-1.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ bare/config/devel/capstone-4.0.1-1.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -20,5 +20,5 @@
 #
 %source set capstone --rsb-file=capstone-%{capstone_version}.tar.gz https://github.com/aquynh/capstone/archive/%{capstone_version}.tar.gz
-%hash sha512 capstone-%{capstone_version}.tar.gz 296c90fcca96117b710472fb55881cb932f4f1d45e847647c2357bfa15bf36fd7f4584db5ffdabf85703d9840e65085ba76f387e6a85555e0af941a344dcf95c
+%hash sha512 capstone-%{capstone_version}.tar.gz 43c52024065b41b45eff9423341db3f3d5163fa7aa01b360faa30437786740c8f2c34c36faa04dced5308e09d8bd78df3bad0ab9c06f98612169edb176f83c36
 
 #
Index: bare/config/devel/gcc-12-newlib-head.cfg
===================================================================
--- bare/config/devel/gcc-12-newlib-head.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ bare/config/devel/gcc-12-newlib-head.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -6,5 +6,5 @@
 %define gcc_expand_name gnu-mirror-gcc-%{gcc_version}
 %source set gcc --rsb-file=%{gcc_expand_name}.tar.gz https://codeload.github.com/RTEMS/gnu-mirror-gcc/tar.gz/%{gcc_version}
-%hash sha512 %{gcc_expand_name}.tar.gz 2f78955344634e3d13a34ae8e724a61761dbc71a88e41916192e6c9d01508014ded06e32a9b640d203b6a8e989ec5410bda32d0469f4b3fe5bf20ae63ad9de21
+%hash sha512 %{gcc_expand_name}.tar.gz f9eb91029c31ed2ca3c4ce2066d99352f63f55120aaad295b58621786fe76228d182a4421292fa95007ac6b6529a589795fe3e794ac77b0b86f9cf9286125e36
 
 %patch add gcc -p1 https://devel.rtems.org/raw-attachment/ticket/4196/0001-Back-port-v1-of-gcov-tool-merge-stream-to-GCC-12.patch
@@ -32,5 +32,5 @@
 %define newlib_expand_name sourceware-mirror-newlib-cygwin-%{newlib_version}
 %source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
-%hash sha512 newlib-%{newlib_version}.tar.gz 051496b686c0acaf1e5fb4f63155aa35357bbe71017f827d6e4113138fec964b083f29c880c3ced9db6e09dc6b3b5bc11ea7d9e9e2987ce015ac2784c2905082
+%hash sha512 newlib-%{newlib_version}.tar.gz 0e142b06b855b78729c3319e31cf5c15b48cea1f90e001ae1e2d61793c496374065c5658e835e6277ae0739af22ea397feb2c1bc2509a6a80ee6c03818efbf55
 
 %define with_threads 1
Index: bare/config/devel/qemu-couverture-git-1.cfg
===================================================================
--- bare/config/devel/qemu-couverture-git-1.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ bare/config/devel/qemu-couverture-git-1.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -30,5 +30,5 @@
 #
 %source set qemu --rsb-file=qemu-couverture-%{qemu_version}.tar.gz https://github.com/AdaCore/qemu/archive/%{qemu_version}.tar.gz
-%hash sha512 qemu-couverture-%{qemu_version}.tar.gz e26959cb55ae0c565c299ec38fe86b7bf85bdb246bfc99f0fcd22e1baaebaa05e96a46b3781443678fb63de8e4b3b7b0abc30d717eda6eef216a53fcabab47c0
+%hash sha512 qemu-couverture-%{qemu_version}.tar.gz 4b1877f1e8a10508b161a2b65f8e862e2ffa5bfc36cb458cdcad4e8a71a384bbb28e7fb50555008b023691b8187d252870586b1435e31989d059692f53ad6e1c
 
 #
Index: bare/config/devel/spike-1.1.0.cfg
===================================================================
--- bare/config/devel/spike-1.1.0.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ bare/config/devel/spike-1.1.0.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -11,5 +11,5 @@
 %define spike_version 530af85d83781a3dae31a4ace84a573ec255fefa
 
-%hash sha512 spike-%{spike_version}.tar.gz On2IePT7owbakS9iM4uQ3tjc6v7bJtXFtenCOw274T8vzLLE6q1rzMdzixlvYBVubu13c8+vINwffeca1IYD4A==
+%hash sha512 spike-%{spike_version}.tar.gz D+9XugRwrZJ8undjx3x3CILr4VSdeaNsTTUZYeENFPZy6MG7TiQAY5umaUr/oOr6vWCq7YjFhqwjPI+fcieqYw==
 
 #
Index: bare/config/devel/swig-4.0.1.cfg
===================================================================
--- bare/config/devel/swig-4.0.1.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ bare/config/devel/swig-4.0.1.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -10,5 +10,5 @@
 
 %define swig_version 4.0.1
-%hash sha512 swig-rel-%{swig_version}.tar.gz 8c723012cabd343e580789432c68f5c6a08a3e20edca0d8d5859fe77d0d5f83ed4c297d2ac4e58f94869f54e40b6cb1e89c43505e07d92cbff4af49c38953e66
+%hash sha512 swig-rel-%{swig_version}.tar.gz AeegX9wtAHvY40gxQoEHXIx4RuQG4KpSopReBWwbsmhzfLSz8saStvixkhNgl+ZygHCgGqRFPQdQrArxLLQDSg==
 
 %define pcre_version 8.40
Index: rtems/config/graphics/microwindows-0.93-dev-1.cfg
===================================================================
--- rtems/config/graphics/microwindows-0.93-dev-1.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ rtems/config/graphics/microwindows-0.93-dev-1.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -16,5 +16,5 @@
 %define rtems_git_tools_4_11 %{rtems_http_git}/rtems-tools/plain/tools/4.11
 
-%hash sha512 microwindows-%{microwindows_version}.tar.gz 8bcca952f48a7aa0535639e68b1fc6c76d49c76ac12a946f41b965e2e319cb68a8a38e53f75feff34917a9a5b3fccf4791ee2a9934d0a9bbe4c8832c6af4f616
+%hash sha512 microwindows-%{microwindows_version}.tar.gz cf29a9d966a8a5b3926aab7f911c47890c9b1a589ff0ecf098e6be45ae1555958b0e437270fb26e353b8c58f261834a3a7f0fce84bea0fdb9138fc38c8703ddc
 
 %patch add microwindows %{rtems_git_tools_4_11}/microwindows/microwindows-0.93-dev.diff
Index: rtems/config/tools/rtems-binutils-2.36.cfg
===================================================================
--- rtems/config/tools/rtems-binutils-2.36.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ rtems/config/tools/rtems-binutils-2.36.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -6,5 +6,5 @@
 %define binutils_expand_name sourceware-mirror-binutils-gdb-%{binutils_version}
 %source set binutils --rsb-file=%{binutils_expand_name}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-binutils-gdb/tar.gz/%{binutils_version}
-%hash sha512 %{binutils_expand_name}.tar.gz e5cb0ab2df2ff35350e7d77e3be84d56210e232d037983e8e025872682d9a83f6acf1839f677f70b1d3243fab5dee6fad7cd82ab4535a580c094df38400f204f
+%hash sha512 %{binutils_expand_name}.tar.gz 9f0fd9f439e026155300b507f288443ee7bbdcdd809663be88e9ca0a8b0ca2fc81bf36964abe5f66af53a23ff91d84b06035d52d68b3b166778d5145c4db7ea4
 
 %define with_deterministic_archives 1
Index: rtems/config/tools/rtems-binutils-head.cfg
===================================================================
--- rtems/config/tools/rtems-binutils-head.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ rtems/config/tools/rtems-binutils-head.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -7,5 +7,5 @@
 %source set binutils --rsb-file=%{binutils_expand_name}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-binutils-gdb/tar.gz/%{binutils_version}
 %hash sha512 %{binutils_expand_name}.tar.gz \
-  ebdc53d12c033892a1199e504fa3a082916154086d6d2bf0958159b1bbfcc86cacb6acd61af4356282eaf8f30e78fc7c20766f7bb9c2f9d2723a26838f91a846
+  rmAch9uFRiqur2l05XVg5PZWun0U0mlFk2CugQuw2XN/yvO56eY7yq9G3CjwDo9agivXONoejOVMv3VP4MKO3w==
 
 %define with_deterministic_archives 1
Index: rtems/config/tools/rtems-gcc-10-newlib-head.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-10-newlib-head.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ rtems/config/tools/rtems-gcc-10-newlib-head.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -7,5 +7,5 @@
 %source set gcc --rsb-file=%{gcc_expand_name}.tar.gz https://codeload.github.com/RTEMS/gnu-mirror-gcc/tar.gz/%{gcc_version}
 %hash sha512 %{gcc_expand_name}.tar.gz \
-  5cc28b0535da794dd50011d4a90e7699d64fee28de94b3048ba1989bdd0d7968ea479edd5f67ccfe9d0f2fed91e01f91563e6262160f42cb9be6e38d2581d6a1
+  bc1RZQriFU1o9YWWwV1o8NNaZ9D+Gk7rE1AQ+epE+0VbVv/rpSCXEmm5xJm6cnO0eAzzIru2gy3E1rG0YoGIWQ==
 
 %patch add gcc -p1 https://devel.rtems.org/raw-attachment/ticket/4196/0001-Back-port-v8-of-gcov-improvements-to-GCC-10.patch
@@ -23,5 +23,5 @@
 %source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
 %hash sha512 newlib-%{newlib_version}.tar.gz \
-  PRYToUTNPUFRcnw7HS+4k9yWVYieh++A/lBhfkQf67s38Qoko6F4ljuSKhsz3puBN28ZgUvVbMzHsk5PNdt2Pg==
+  FT/pbC/4hXi/cJAbDuahqdm3DHa9xLQMNkxvs2i2S1D2X+mGwHEtkUtU6q0PWos+4tMdQw+7R3oM25dwwgl9tQ==
 
 %define with_threads 1
Index: rtems/config/tools/rtems-gcc-10.4-newlib-head.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-10.4-newlib-head.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ rtems/config/tools/rtems-gcc-10.4-newlib-head.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -26,5 +26,5 @@
 %source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
 %hash sha512 newlib-%{newlib_version}.tar.gz \
-  PRYToUTNPUFRcnw7HS+4k9yWVYieh++A/lBhfkQf67s38Qoko6F4ljuSKhsz3puBN28ZgUvVbMzHsk5PNdt2Pg==
+  FT/pbC/4hXi/cJAbDuahqdm3DHa9xLQMNkxvs2i2S1D2X+mGwHEtkUtU6q0PWos+4tMdQw+7R3oM25dwwgl9tQ==
 
 %define with_threads 1
Index: rtems/config/tools/rtems-gcc-12-newlib-head.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-12-newlib-head.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ rtems/config/tools/rtems-gcc-12-newlib-head.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -7,5 +7,5 @@
 %source set gcc --rsb-file=%{gcc_expand_name}.tar.gz https://codeload.github.com/RTEMS/gnu-mirror-gcc/tar.gz/%{gcc_version}
 %hash sha512 %{gcc_expand_name}.tar.gz \
-  pcouUoRrg6HGzYX4Rm2Yl2MS2gSxdwyenb6KnvY4TNUriKLe8hnFFzqk5Aglkj7ofldQiPGNhQmbb/spfJFHjg==
+  OqCF8lBTz/5uV6+okDGP2RfgHftT4r0CbISeykbVxzFHKF4yN8JvmH3zlSXJlCkfwVXL+DE9qAn5txtlC81Yzg==
 
 %patch add gcc -p1 https://devel.rtems.org/raw-attachment/ticket/4196/0001-Back-port-v1-of-gcov-tool-merge-stream-to-GCC-12.patch
@@ -48,5 +48,5 @@
            https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
 %hash sha512 newlib-%{newlib_version}.tar.gz \
-  PRYToUTNPUFRcnw7HS+4k9yWVYieh++A/lBhfkQf67s38Qoko6F4ljuSKhsz3puBN28ZgUvVbMzHsk5PNdt2Pg==
+  FT/pbC/4hXi/cJAbDuahqdm3DHa9xLQMNkxvs2i2S1D2X+mGwHEtkUtU6q0PWos+4tMdQw+7R3oM25dwwgl9tQ==
 
 %define with_threads 1
Index: rtems/config/tools/rtems-gcc-head-newlib-head.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-head-newlib-head.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ rtems/config/tools/rtems-gcc-head-newlib-head.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -7,5 +7,5 @@
 %source set gcc --rsb-file=%{gcc_expand_name}.tar.gz https://codeload.github.com/RTEMS/gnu-mirror-gcc/tar.gz/%{gcc_version}
 %hash sha512 %{gcc_expand_name}.tar.gz \
-  27f92203ece41ab67c71521abfd8d95dcea39ecc163262cc1b421307a974f5f6a6400db8a49163d05b4a7d89b7c75b014f2465fc9a77f7c42301e2a204a47130
+  YmWVYFj3u4xsBc1xEfm6EEnOd7WIkYyy7C0P0OSGS22mW6vPru00zQ7fqO4qSx71/leXJTRZsEyFUQE0CLr2jA==
 
 %define newlib_version b9898fc
@@ -14,5 +14,5 @@
 %source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
 %hash sha512 newlib-%{newlib_version}.tar.gz \
-  PRYToUTNPUFRcnw7HS+4k9yWVYieh++A/lBhfkQf67s38Qoko6F4ljuSKhsz3puBN28ZgUvVbMzHsk5PNdt2Pg==
+  FT/pbC/4hXi/cJAbDuahqdm3DHa9xLQMNkxvs2i2S1D2X+mGwHEtkUtU6q0PWos+4tMdQw+7R3oM25dwwgl9tQ==
 
 %patch add newlib -p1 https://devel.rtems.org/raw-attachment/ticket/4510/0001-aarch64-Add-ILP32-ABI-support-in-assembly-v2.patch
Index: rtems/config/tools/rtems-gdb-head.cfg
===================================================================
--- rtems/config/tools/rtems-gdb-head.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ rtems/config/tools/rtems-gdb-head.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -7,5 +7,5 @@
 %source set gdb --rsb-file=%{gdb_expand_name}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-binutils-gdb/tar.gz/%{gdb_version}
 %hash sha512 %{gdb_expand_name}.tar.gz \
-  ebdc53d12c033892a1199e504fa3a082916154086d6d2bf0958159b1bbfcc86cacb6acd61af4356282eaf8f30e78fc7c20766f7bb9c2f9d2723a26838f91a846
+  rmAch9uFRiqur2l05XVg5PZWun0U0mlFk2CugQuw2XN/yvO56eY7yq9G3CjwDo9agivXONoejOVMv3VP4MKO3w==
 
 %include %{_configdir}/gdb-8-1.cfg
Index: source-builder/config/capstone-1-1.cfg
===================================================================
--- source-builder/config/capstone-1-1.cfg	(revision 30b290593af482b234fc06fe60997dabd8b2d2f6)
+++ source-builder/config/capstone-1-1.cfg	(revision 668571869925120cf3e0d03592d5d28c10555f0f)
@@ -26,5 +26,5 @@
 #
 %source set capstone https://github.com/aquynh/capstone/archive/capstone-%{capstone_version}.tar.gz
-%hash sha512 capstone-%{capstone_version}.tar.gz 296c90fcca96117b710472fb55881cb932f4f1d45e847647c2357bfa15bf36fd7f4584db5ffdabf85703d9840e65085ba76f387e6a85555e0af941a344dcf95c
+%hash sha512 capstone-%{capstone_version}.tar.gz 43c52024065b41b45eff9423341db3f3d5163fa7aa01b360faa30437786740c8f2c34c36faa04dced5308e09d8bd78df3bad0ab9c06f98612169edb176f83c36
 
 #