Index: cpu-supplement/altera_nios_ii.rst
===================================================================
--- cpu-supplement/altera_nios_ii.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/altera_nios_ii.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -5,5 +5,5 @@
 
 Altera Nios II Specific Information
-###################################
+***********************************
 
 Symmetric Multiprocessing
Index: cpu-supplement/arm.rst
===================================================================
--- cpu-supplement/arm.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/arm.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 ARM Specific Information
-########################
+************************
 
 This chapter discusses the *ARM architecture*
Index: cpu-supplement/atmel_avr.rst
===================================================================
--- cpu-supplement/atmel_avr.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/atmel_avr.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 Atmel AVR Specific Information
-##############################
+******************************
 
 This chapter discusses the AVR architecture dependencies in this port of RTEMS.
Index: cpu-supplement/blackfin.rst
===================================================================
--- cpu-supplement/blackfin.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/blackfin.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -5,5 +5,5 @@
 
 Blackfin Specific Information
-#############################
+*****************************
 
 This chapter discusses the Blackfin architecture dependencies in this port of
Index: cpu-supplement/command.rst
===================================================================
--- cpu-supplement/command.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/command.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -2,8 +2,7 @@
 
 Command and Variable Index
-##########################
+**************************
 
 There are currently no Command and Variable Index entries.
 
 .. COMMENT: @printindex fn
-
Index: cpu-supplement/conf.py
===================================================================
--- cpu-supplement/conf.py	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/conf.py	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -5,5 +5,5 @@
 
 version = '1.0'
-release = '5.0'
+release = '4.11.0'
 
 latex_documents = [
Index: cpu-supplement/ephiphany.rst
===================================================================
--- cpu-supplement/ephiphany.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/ephiphany.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 Epiphany Specific Information
-#############################
+*****************************
 
 This chapter discusses the`Epiphany Architecture
Index: cpu-supplement/index.rst
===================================================================
--- cpu-supplement/index.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/index.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -4,4 +4,7 @@
 RTEMS CPU Architecture Supplement
 =================================
+
+RTEMS CPU Architecture Supplement
+---------------------------------
 
  | COPYRIGHT (c) 1988 - 2015.
@@ -33,5 +36,5 @@
 
 .. toctree::
-	:maxdepth: 3
+	:maxdepth: 5
 	:numbered:
 
Index: cpu-supplement/intel_amd_x86.rst
===================================================================
--- cpu-supplement/intel_amd_x86.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/intel_amd_x86.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -8,5 +8,5 @@
 
 Intel/AMD x86 Specific Information
-##################################
+**********************************
 
 This chapter discusses the Intel x86 architecture dependencies in this port of
Index: cpu-supplement/lattice_micro32.rst
===================================================================
--- cpu-supplement/lattice_micro32.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/lattice_micro32.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -4,5 +4,5 @@
 
 Lattice Mico32 Specific Information
-###################################
+***********************************
 
 This chaper discusses the Lattice Mico32 architecture dependencies in this port
Index: cpu-supplement/m68xxx_and_coldfire.rst
===================================================================
--- cpu-supplement/m68xxx_and_coldfire.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/m68xxx_and_coldfire.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -4,5 +4,5 @@
 
 M68xxx and Coldfire Specific Information
-########################################
+****************************************
 
 This chapter discusses the Freescale (formerly Motorola) MC68xxx and Coldfire
Index: cpu-supplement/mips.rst
===================================================================
--- cpu-supplement/mips.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/mips.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -4,5 +4,5 @@
 
 MIPS Specific Information
-#########################
+*************************
 
 This chapter discusses the MIPS architecture dependencies in this port of
Index: cpu-supplement/openrisc_1000.rst
===================================================================
--- cpu-supplement/openrisc_1000.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/openrisc_1000.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 OpenRISC 1000 Specific Information
-##################################
+**********************************
 
 This chapter discusses the`OpenRISC 1000 architecture
Index: cpu-supplement/port.rst
===================================================================
--- cpu-supplement/port.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/port.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 Port Specific Information
-#########################
+*************************
 
 This chaper provides a general description of the type of architecture specific
Index: cpu-supplement/powerpc.rst
===================================================================
--- cpu-supplement/powerpc.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/powerpc.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 PowerPC Specific Information
-############################
+****************************
 
 This chapter discusses the PowerPC architecture dependencies in this port of
Index: cpu-supplement/preface.rst
===================================================================
--- cpu-supplement/preface.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/preface.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -5,7 +5,6 @@
 .. COMMENT: All rights reserved.
 
-=======
 Preface
-=======
+*******
 
 The Real Time Executive for Multiprocessor Systems (RTEMS) is designed to be
Index: cpu-supplement/renesas_m32c.rst
===================================================================
--- cpu-supplement/renesas_m32c.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/renesas_m32c.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 Renesas M32C Specific Information
-#################################
+*********************************
 
 Symmetric Multiprocessing
Index: cpu-supplement/sparc.rst
===================================================================
--- cpu-supplement/sparc.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/sparc.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 SPARC Specific Information
-##########################
+**************************
 
 The Real Time Executive for Multiprocessor Systems (RTEMS) is designed to be
Index: cpu-supplement/sparc64.rst
===================================================================
--- cpu-supplement/sparc64.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/sparc64.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 SPARC-64 Specific Information
-#############################
+*****************************
 
 This document discusses the SPARC Version 9 (aka SPARC-64, SPARC64 or SPARC V9)
Index: cpu-supplement/superh.rst
===================================================================
--- cpu-supplement/superh.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/superh.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 SuperH Specific Information
-###########################
+***************************
 
 This chapter discusses the SuperH architecture dependencies in this port of
Index: cpu-supplement/xilinx_microblaze.rst
===================================================================
--- cpu-supplement/xilinx_microblaze.rst	(revision 72a62ad88f82fe1ffee50024db4dd0f3fa5806f7)
+++ cpu-supplement/xilinx_microblaze.rst	(revision 69160048968355deedb1481d2e0ca8c780035b5d)
@@ -6,5 +6,5 @@
 
 Xilinx MicroBlaze Specific Information
-######################################
+**************************************
 
 Symmetric Multiprocessing